> For the complete documentation index, see [llms.txt](https://help.tahua.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://help.tahua.io/knowledge-base/integrations-help-guides/api-access/api-reference/file-inputs.md).

# File Inputs

## GET /api/v2/file\_inputs/:id

Downloads a file attachment from a form input.

Unlike other endpoints, this returns the raw file binary with the appropriate content type — not JSON.

### Path Parameters

| Parameter | Type    | Description                          |
| --------- | ------- | ------------------------------------ |
| `id`      | integer | The ID of the file input to download |

### Response

The response body is the raw file content. The `Content-Type` header is set to the file's MIME type and the `Content-Disposition` header is set to `attachment`.

### Example Request

```bash
curl -H "Authorization: Bearer YOUR_TOKEN" \
  -o downloaded_file.pdf \
  "https://your-org.tahua.io/api/v2/file_inputs/101"
```

### How to find file input IDs

File input IDs are returned in the `inputs` arrays of funding application entries and milestone deliverables. When an input has a file attachment, the `file` property will be populated and the `tahua_file_url` property will contain a URL. The input `id` is what you pass to this endpoint.
